org.apache.ignite.internal.processors.cache.verify

## Class IdleVerifyUtility.IdleChecker

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.verify.IdleVerifyUtility.IdleChecker

All Implemented Interfaces:
  Serializable, IgniteInClosure<Integer>

Enclosing class:
  IdleVerifyUtility

    public static class IdleVerifyUtility.IdleChecker
    extends Object
    implements IgniteInClosure<Integer>

Idle checker.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IdleChecker(IgniteEx ig, Map<Integer,Map<Integer,PartitionUpdateCounter>> partsWithCntrsPerGrp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(Integer grpId)` Closure body.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IdleChecker

    public IdleChecker(IgniteEx ig,
                       Map<Integer,Map<Integer,PartitionUpdateCounter>> partsWithCntrsPerGrp)

### Method Detail

#### apply

    public void apply(Integer grpId)

Description copied from interface: `IgniteInClosure`
Closure body.

Specified by:
  `apply` in interface `IgniteInClosure<Integer>`
Parameters:
  `grpId` - Closure argument.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021